Skip to main content
GET
/
shares
List shares
curl --request GET \
  --url https://api-staging.pixwel.com/api/shares \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'X-Range: <x-range>'
[
  {
    "_id": "568dfc5e07fe09720b8b4572",
    "from": {
      "_id": "566f2601581f4694168b4572",
      "name": "Lucy Inglis",
      "emailNormal": "lucy_inglis@paramount.com",
      "$links": {
        "self": "//api-staging.pixwel.com/api/Users/566f2601581f4694168b4572"
      }
    },
    "to": [
      {
        "_id": "568dfc5d07fe09720b8b456f",
        "name": "Julia Holman",
        "emailNormal": "holman.julia@abc.net.au",
        "$links": {
          "self": "//api-staging.pixwel.com/api/Users/568dfc5d07fe09720b8b456f"
        }
      }
    ],
    "groups": [
      "<unknown>"
    ],
    "assets": [
      {
        "_id": "564a29807cab46745c8b456f",
        "project": "5600e9bef61e46d6668b4567",
        "studio": "51e1495bd5cddc8041000000",
        "name": "Jacked To The Tits",
        "slug": "jacked-to-the-tits",
        "type": "film-clip.intl",
        "length": 46,
        "thumbnail": "564a2b87cbfd09150b8b4568",
        "created": 1447700864,
        "mediaType": "video",
        "creative": false,
        "$links": {
          "self": "//api-staging.pixwel.com/api/Assets/564a29807cab46745c8b456f",
          "project": "//api-staging.pixwel.com/api/Projects/bigshort",
          "studio": "//api-staging.pixwel.com/api/Studios/paramount",
          "type": "//api-staging.pixwel.com/api/Assettypes/film-clip.intl",
          "thumbnail": "//api-staging.pixwel.com/api/Files/564a2b87cbfd09150b8b4568"
        },
        "$permissions": {
          "canAutosub": true,
          "sources": {
            "requests": {
              "languages": [
                "<unknown>"
              ],
              "countries": [
                "<unknown>"
              ]
            },
            "autosubs": {
              "languages": [
                "<unknown>"
              ],
              "countries": [
                "<unknown>"
              ]
            }
          },
          "access": [
            "autosubs"
          ],
          "tags": {
            "online": true,
            "broadcast": true,
            "dcp": true,
            "cmyk": true,
            "rgb": true
          },
          "ingest": [
            "bumpers"
          ]
        },
        "$feedback": {
          "share": "<string>",
          "vote": "<string>",
          "summary": [
            "<unknown>"
          ]
        }
      }
    ],
    "assetsCount": 5,
    "assetCategory": "av",
    "projectNames": [
      "The Big Short"
    ],
    "tags": [
      [
        "broadcast"
      ]
    ],
    "urls": {
      "playlist": "https://platform.pixwel.com/shares/:share",
      "invite": "https://platform.pixwel.com/register/:code",
      "564a29807cab46745c8b456f": "https://platform.pixwel.com/project/bigshort/film-clip.intl/564a29807cab46745c8b456f",
      "564a29954f121cac048b4567": "https://platform.pixwel.com/project/bigshort/film-clip.intl/564a29954f121cac048b4567",
      "564a29837cab46515d8b456f": "https://platform.pixwel.com/project/bigshort/film-clip.intl/564a29837cab46515d8b456f",
      "564a29974f121ccf4f8b4571": "https://platform.pixwel.com/project/bigshort/film-clip.intl/564a29974f121ccf4f8b4571",
      "5600e9bef61e46d6668b4568": "https://platform.pixwel.com/project/bigshort/trailer.intl/5600e9bef61e46d6668b4568"
    },
    "approved": true,
    "notes": "Here is a selection of clips and the film trailer.\n\nThanks",
    "feedback": {
      "enabled": false
    },
    "created": 1452145758,
    "questions": [
      "<unknown>"
    ],
    "$links": {
      "self": "//api-staging.pixwel.com/api/Shares/568dfc5e07fe09720b8b4572",
      "from": "//api-staging.pixwel.com/api/Users/566f2601581f4694168b4572"
    },
    "permissions": [
      {
        "_id": "568dfc5e07fe09720b8b4575",
        "sources": {
          "download": {
            "ov": true,
            "countries": [
              "AC"
            ],
            "languages": [
              "<unknown>"
            ]
          },
          "manageWorkRequests": {
            "groups": [
              "<unknown>"
            ]
          },
          "previews": {
            "ov": true,
            "countries": [
              "<unknown>"
            ],
            "languages": [
              "<unknown>"
            ]
          },
          "requests": {
            "ov": true,
            "countries": [
              "<unknown>"
            ],
            "languages": [
              "<unknown>"
            ]
          },
          "social": {
            "ov": false,
            "countries": [
              "<unknown>"
            ],
            "languages": [
              "<unknown>"
            ]
          },
          "adminWorkRequests": {
            "groups": [
              "<unknown>"
            ]
          }
        },
        "approved": true,
        "project": "5600e9bef61e46d6668b4567",
        "assets": [
          "5600e9bef61e46d6668b4568"
        ],
        "tags": [
          [
            "broadcast"
          ]
        ],
        "types": [
          "<unknown>"
        ],
        "access": {
          "sharing": false,
          "push": false,
          "download": true,
          "requests": false,
          "notes": false,
          "previews": "<string>",
          "manageWorkRequsts": false,
          "projectAdminView": false,
          "projectAdminUpdate": false,
          "projectAdminEmbargos": false,
          "workRequestReport": false,
          "downloadReport": false,
          "exceptionReport": false,
          "groupSpendingReport": false,
          "adminWorkRequests": false,
          "shareVotingView": false
        },
        "user": "568dfc5d07fe09720b8b456f",
        "share": "568dfc5e07fe09720b8b4572",
        "$links": {
          "self": "//api-staging.pixwel.com/api/Permissions/568dfc5e07fe09720b8b4575"
        }
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Range
string
default:resources=0-9
required

Pagination range (e.g. resources=0-9, resources=10-19)

Query Parameters

id
string
from
string
to
string
group
string
order
string

Response

200 - application/json

OK

_id
string
Example:

"568dfc5e07fe09720b8b4572"

from
object
to
object[]
groups
any[]
assets
object[]
assetsCount
integer
Example:

5

assetCategory
string
Example:

"av"

projectNames
string[]
tags
string[][]
urls
object
approved
boolean
Example:

true

notes
string
Example:

"Here is a selection of clips and the film trailer.\n\nThanks"

feedback
object
created
integer
Example:

1452145758

questions
any[]
permissions
object[]